Kind = "service-intentions"
Name = "lemonldap-ng"
Sources = [
  {
    Name = "traefik"
    Permissions = [
      # Prevent access to the API as it's disabled
      {
        Action = "deny"
        HTTP {
          PathRegex = "^/index\\.psgi/(config|sessions)"
        }
      },
      {
        Action = "deny"
        HTTP {
          PathRegex = "^/(reload|status)"
        }
      },
      {
        Action = "allow"
        HTTP {
          Methods = ["GET", "HEAD", "POST", "OPTIONS", "PUT", "DELETE", "PATCH"]
        }
      }
    ]
  }
]
