#!/bin/sh

set -euo pipefail

[ -e "/tmp/nginx.conf" ] || touch /tmp/nginx.conf || true
if [ -w "/tmp/nginx.conf" ]; then
  echo Rendering /etc/nginx/lemonldap-ng.conf.template in /tmp/nginx.conf
  envsubst < /etc/nginx/lemonldap-ng.conf.template > /tmp/nginx.conf
fi

