---
kind: daemon
name: lemonldap
command: ["lemonldap-ng"]

---
kind: daemon
name: nginx
command: ["nginx", "-c", "${LLNG_NGINX_CONF}"]

[[- if ne .llng.portal.cron.clean_local_cache "" ]]

---
kind: cron
name: local_cache
command: ["/usr/libexec/lemonldap-ng/bin/purgeLocalCache"]
cron: [[ .llng.portal.cron.clean_local_cache | toJSON ]]
[[- end ]]

{{- if eq (env "NOMAD_ALLOC_INDEX") "0" }}
[[- if ne .llng.portal.cron.clean_global_cache "" ]]

---
kind: cron
name: clean_global_cache
cron: [[ .llng.portal.cron.clean_global_cache | toJSON ]]
command: ["/usr/libexec/lemonldap-ng/bin/purgeCentralCache"]
[[- end ]]

[[- if ne .llng.portal.cron.rotate_oidc_keys "" ]]

---
kind: cron
name: rotate_oidc_keys
cron: [[ .llng.portal.cron.rotate_oidc_keys | toJSON ]]
command: ["/usr/libexec/lemonldap-ng/bin/rotateOidcKeys"]
[[- end ]]
{{- end }}
